﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://radare.mikelloc.com/get/3.1.0/radare2_installer-msvc_32-3.1.0.exe'
$url64      = 'http://radare.mikelloc.com/get/3.1.0/radare2_installer-msvc_64-3.1.0.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'radare*'

  checksum      = '4FD79FE59DBEEDE119CADFBB8638FF7FCEB9C18BC022051E1AC4311C6C04D143'
  checksumType  = 'sha256'
  checksum64    = '3EDD86E43EC50E1659DC5A45808EA5096F98A9CF410B820A33F2F5A4446A8E07'
  checksumType64= 'sha256'

  silentArgs    = "/SILENT /NORESTART /RESTARTAPPLICATIONS"
  validExitCodes= @(0, 3010, 1641)
}

try{
  Uninstall-ChocolateyPackage -PackageName 'radare'
}
catch{
  #no op
}

Install-ChocolateyPackage @packageArgs
